body {
	background: #111;
	display: grid;
	height: 100vh;
	margin: 0;
	place-items: center;
}

canvas {
	display: block;
	margin: 0 auto;
	max-height: 100vh;
	max-width: 100vw;
}

#container {
	position: relative;
}

#container:hover::before {
	background: #0008;
	border-radius: 9999px;
	bottom: 1em;
	color: #fff;
	content: attr( data-seed );
	font: bold 28px sans-serif;
	left: 50%;
	padding: .5em 1em;
	position: absolute;
	transform: translateX(-50%);
}

#container[data-msg]:not([data-msg=''])::after {
	background: #0008;
	border-radius: 9999px;
	color: #fff;
	content: attr( data-msg );
	font: bold 18px sans-serif;
	left: 50%;
	padding: 1em;
	position: absolute;
	text-transform: uppercase;
	top: 50%;
	transform: translate( -50%, -50% );
}